NX Open C++ Reference Guide
|
Used to create or edit a Die::SpringbackCompensation feature. More...
Public Types | |
enum | DefinedByType { DefinedByTypeOneStepFeature, DefinedByTypeFacetedBodies, DefinedByTypePoints } |
The type of input data that defines the compensation. More... | |
enum | DegreeType { DegreeTypeTwo, DegreeTypeThree, DegreeTypeFive, DegreeTypeSeven } |
The polynomial degree type. More... | |
enum | ResultSheetType { ResultSheetTypeCompensated, ResultSheetTypeSprung } |
The type of sheet body you would like created as output. More... | |
Public Member Functions | |
double | AngleTolerance () |
Returns the angle tolerance. | |
bool | CalculateMaxDeviation () |
Returns the indication if the feature should calculate the maximum deviation of the result. | |
NXOpen::Direction * | ConvexityDirection () |
Returns the convexity direction. | |
bool | ConvexityEnabled () |
Returns the toggle that determines whether to constrain convexity Created in NX7.5.0. | |
bool | CreateFacets () |
Returns the value determines if a faceted output body is also created. | |
NXOpen::Die::SpringbackCompensationBuilder::DefinedByType | DefinedBy () |
Returns the type of data that will be used to define the feature. | |
double | DeformationFactor () |
Returns the deformation factor determines how much of the calculated deformation is applied to the result body. | |
NXOpen::Die::SpringbackCompensationBuilder::DegreeType | Degree () |
Returns the polynomial degree (one unit less than the order). | |
double | DistanceTolerance () |
Returns the distance tolerance. | |
int | Divisions () |
Returns the number of equi-distant points to divide the cube of the sheet body (N x N x N). | |
NXOpen::Direction * | DrawVector () |
Returns the vector indicating the draw direction. | |
void | GetProductPoints (std::vector< NXOpen::Point3d > &productPoints) |
Get the sample points on the product surface. | |
void | GetSprungPoints (std::vector< NXOpen::Point3d > &sprungPoints) |
Get the sample points on the sprung surface. | |
NXOpen::Section * | InnerCurve () |
Returns the inner boundary curve of the transition area. | |
bool | IsGlobalDeformation () |
Returns the indication if the feature is a generic Global Deformation. | |
NXOpen::Features::SelectFeature * | OneStep () |
Returns the one-step feature. | |
NXOpen::Section * | OuterCurve () |
Returns the outer boundary curve of transition area. | |
NXOpen::Facet::SelectFacetedBody * | ProductFacets () |
Returns the product facets. | |
NXString | ProductPointsFile () |
Returns the product points file name. | |
NXOpen::SelectBody * | ProductSheet () |
Returns the sheet body representing the product shape. | |
NXOpen::Die::SpringbackCompensationBuilder::ResultSheetType | ResultType () |
Returns the type of output to generate. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance. | |
void | SetCalculateMaxDeviation (bool calculateMaxDeviation) |
Sets the indication if the feature should calculate the maximum deviation of the result. | |
void | SetConvexityDirection (NXOpen::Direction *convexityDirection) |
Sets the convexity direction. | |
void | SetConvexityEnabled (bool isConvexityEnabled) |
Sets the toggle that determines whether to constrain convexity Created in NX7.5.0. | |
void | SetCreateFacets (bool createFacets) |
Sets the value determines if a faceted output body is also created. | |
void | SetDefinedBy (NXOpen::Die::SpringbackCompensationBuilder::DefinedByType definedBy) |
Sets the type of data that will be used to define the feature. | |
void | SetDeformationFactor (double deformationFactor) |
Sets the deformation factor determines how much of the calculated deformation is applied to the result body. | |
void | SetDegree (NXOpen::Die::SpringbackCompensationBuilder::DegreeType degree) |
Sets the polynomial degree (one unit less than the order). | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance. | |
void | SetDivisions (int divisions) |
Sets the number of equi-distant points to divide the cube of the sheet body (N x N x N). | |
void | SetDrawVector (NXOpen::Direction *drawVector) |
Sets the vector indicating the draw direction. | |
void | SetGlobalDeformation (bool isGlobalDeformation) |
Sets the indication if the feature is a generic Global Deformation. | |
void | SetProductPoints (const std::vector< NXOpen::Point3d > &productPoints) |
Set the sample points on the product surface. | |
void | SetProductPointsFile (const NXString &filename) |
Sets the product points file name. | |
void | SetProductPointsFile (const char *filename) |
Sets the product points file name. | |
void | SetResultType (NXOpen::Die::SpringbackCompensationBuilder::ResultSheetType resultType) |
Sets the type of output to generate. | |
void | SetShapeValue (double shapeValue) |
Sets the parameter that determines the shape of the transition area. | |
void | SetSmoothingFactor (double smoothingFactor) |
Sets the smoothing factor regulates a trade-off between interpolation error and smoothing when creating the result body. | |
void | SetSprungPoints (const std::vector< NXOpen::Point3d > &sprungPoints) |
Set the sample points on the sprung surface. | |
void | SetSprungPointsFile (const NXString &filename) |
Sets the sprung points file name. | |
void | SetSprungPointsFile (const char *filename) |
Sets the sprung points file name. | |
void | SetStepSize (double stepSize) |
Sets the step size. | |
double | ShapeValue () |
Returns the parameter that determines the shape of the transition area. | |
double | SmoothingFactor () |
Returns the smoothing factor regulates a trade-off between interpolation error and smoothing when creating the result body. | |
NXOpen::Facet::SelectFacetedBody * | SprungFacets () |
Returns the sprung facets. | |
NXString | SprungPointsFile () |
Returns the sprung points file name. | |
double | StepSize () |
Returns the step size. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Used to create or edit a Die::SpringbackCompensation feature.
<br> To create a new instance of this class, use @link Die::DieCollection::CreateSpringbackCompensationBuilder Die::DieCollection::CreateSpringbackCompensationBuilder @endlink <br>
Default values.
Property | Value |
---|---|
ConvexityEnabled |
false |
CreateFacets |
false |
DefinedBy |
OneStepFeature |
DeformationFactor |
1 |
Degree |
Two |
Divisions |
3 |
ResultType |
Compensated |
ShapeValue |
0.5 |
SmoothingFactor |
1e-009 |
StepSize |
1.0 |
Created in NX7.5.0.
double NXOpen::Die::SpringbackCompensationBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Die::SpringbackCompensationBuilder::CalculateMaxDeviation | ( | ) |
Returns the indication if the feature should calculate the maximum deviation of the result.
True indicates the deviation should be calculated, false indicates the deviation will not be calculated.
Created in NX7.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Die::SpringbackCompensationBuilder::ConvexityDirection | ( | ) |
Returns the convexity direction.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Die::SpringbackCompensationBuilder::ConvexityEnabled | ( | ) |
Returns the toggle that determines whether to constrain convexity
Created in NX7.5.0.
License requirements : None
bool NXOpen::Die::SpringbackCompensationBuilder::CreateFacets | ( | ) |
Returns the value determines if a faceted output body is also created.
True indicates to output a faceted body, false indicates that a faceted body is not output. Only when type is Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies
Created in NX7.5.0.
License requirements : None
NXOpen::Die::SpringbackCompensationBuilder::DefinedByType NXOpen::Die::SpringbackCompensationBuilder::DefinedBy | ( | ) |
Returns the type of data that will be used to define the feature.
<br> @link Die::SpringbackCompensationBuilder::DefinedByTypeOneStepFeature Die::SpringbackCompensationBuilder::DefinedByTypeOneStepFeature@endlink <ul> <li>@link Die::SpringbackCompensationBuilder::OneStep Die::SpringbackCompensationBuilder::OneStep@endlink </li> </ul> <br> <br> @link Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies@endlink <ul> <li>@link Die::SpringbackCompensationBuilder::ProductSheet Die::SpringbackCompensationBuilder::ProductSheet@endlink </li> <li>@link Die::SpringbackCompensationBuilder::ProductFacets Die::SpringbackCompensationBuilder::ProductFacets@endlink </li> <li>@link Die::SpringbackCompensationBuilder::SprungFacets Die::SpringbackCompensationBuilder::SprungFacets@endlink </li> </ul> <br> <br> @link Die::SpringbackCompensationBuilder::DefinedByTypePoints Die::SpringbackCompensationBuilder::DefinedByTypePoints@endlink <ul> <li>@link Die::SpringbackCompensationBuilder::ProductSheet Die::SpringbackCompensationBuilder::ProductSheet@endlink </li> <li>@link Die::SpringbackCompensationBuilder::SetProductPoints Die::SpringbackCompensationBuilder::SetProductPoints@endlink </li> <li>@link Die::SpringbackCompensationBuilder::SetSprungPoints Die::SpringbackCompensationBuilder::SetSprungPoints@endlink </li> </ul> <br>
Created in NX7.5.0.
License requirements : None
double NXOpen::Die::SpringbackCompensationBuilder::DeformationFactor | ( | ) |
Returns the deformation factor determines how much of the calculated deformation is applied to the result body.
Created in NX7.5.0.
License requirements : None
NXOpen::Die::SpringbackCompensationBuilder::DegreeType NXOpen::Die::SpringbackCompensationBuilder::Degree | ( | ) |
Returns the polynomial degree (one unit less than the order).
Created in NX7.5.0.
License requirements : None
double NXOpen::Die::SpringbackCompensationBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance.
Created in NX7.5.0.
License requirements : None
int NXOpen::Die::SpringbackCompensationBuilder::Divisions | ( | ) |
Returns the number of equi-distant points to divide the cube of the sheet body (N x N x N).
Created in NX7.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Die::SpringbackCompensationBuilder::DrawVector | ( | ) |
Returns the vector indicating the draw direction.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::SpringbackCompensationBuilder::GetProductPoints | ( | std::vector< NXOpen::Point3d > & | productPoints | ) |
Get the sample points on the product surface.
Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.
Created in NX7.5.0.
License requirements : None
productPoints | Points representing the shape of the product. |
void NXOpen::Die::SpringbackCompensationBuilder::GetSprungPoints | ( | std::vector< NXOpen::Point3d > & | sprungPoints | ) |
Get the sample points on the sprung surface.
Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints .
Created in NX7.5.0.
License requirements : None
sprungPoints | Points representing the shape of the sprung sheet. |
NXOpen::Section* NXOpen::Die::SpringbackCompensationBuilder::InnerCurve | ( | ) |
Returns the inner boundary curve of the transition area.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Die::SpringbackCompensationBuilder::IsGlobalDeformation | ( | ) |
Returns the indication if the feature is a generic Global Deformation.
True indicates the feature is a Global Deformation, false indicates the feature is not a Global Deformation.
Created in NX7.5.0.
License requirements : None
NXOpen::Features::SelectFeature* NXOpen::Die::SpringbackCompensationBuilder::OneStep | ( | ) |
Returns the one-step feature.
Only when type is Die::SpringbackCompensationBuilder::DefinedByTypeOneStepFeature .
Created in NX7.5.0.
License requirements : None
NXOpen::Section* NXOpen::Die::SpringbackCompensationBuilder::OuterCurve | ( | ) |
Returns the outer boundary curve of transition area.
Created in NX7.5.0.
License requirements : None
NXOpen::Facet::SelectFacetedBody* NXOpen::Die::SpringbackCompensationBuilder::ProductFacets | ( | ) |
Returns the product facets.
Only when type is Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies . Optional.
Created in NX7.5.0.
License requirements : None
NXString NXOpen::Die::SpringbackCompensationBuilder::ProductPointsFile | ( | ) |
Returns the product points file name.
This is saved for reference only. The product points are actually defined by calling Die::SpringbackCompensationBuilder::SetProductPoints . Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectBody* NXOpen::Die::SpringbackCompensationBuilder::ProductSheet | ( | ) |
Returns the sheet body representing the product shape.
Only when type is Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies or Die::SpringbackCompensationBuilder::DefinedByTypePoints .
Created in NX7.5.0.
License requirements : None
NXOpen::Die::SpringbackCompensationBuilder::ResultSheetType NXOpen::Die::SpringbackCompensationBuilder::ResultType | ( | ) |
Returns the type of output to generate.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::SpringbackCompensationBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
angleTolerance | angletolerance |
void NXOpen::Die::SpringbackCompensationBuilder::SetCalculateMaxDeviation | ( | bool | calculateMaxDeviation | ) |
Sets the indication if the feature should calculate the maximum deviation of the result.
True indicates the deviation should be calculated, false indicates the deviation will not be calculated.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
calculateMaxDeviation | calculatemaxdeviation |
void NXOpen::Die::SpringbackCompensationBuilder::SetConvexityDirection | ( | NXOpen::Direction * | convexityDirection | ) |
Sets the convexity direction.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
convexityDirection | convexitydirection |
void NXOpen::Die::SpringbackCompensationBuilder::SetConvexityEnabled | ( | bool | isConvexityEnabled | ) |
Sets the toggle that determines whether to constrain convexity
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
isConvexityEnabled | isconvexityenabled |
void NXOpen::Die::SpringbackCompensationBuilder::SetCreateFacets | ( | bool | createFacets | ) |
Sets the value determines if a faceted output body is also created.
True indicates to output a faceted body, false indicates that a faceted body is not output. Only when type is Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
createFacets | createfacets |
void NXOpen::Die::SpringbackCompensationBuilder::SetDefinedBy | ( | NXOpen::Die::SpringbackCompensationBuilder::DefinedByType | definedBy | ) |
Sets the type of data that will be used to define the feature.
<br> @link Die::SpringbackCompensationBuilder::DefinedByTypeOneStepFeature Die::SpringbackCompensationBuilder::DefinedByTypeOneStepFeature@endlink <ul> <li>@link Die::SpringbackCompensationBuilder::OneStep Die::SpringbackCompensationBuilder::OneStep@endlink </li> </ul> <br> <br> @link Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies@endlink <ul> <li>@link Die::SpringbackCompensationBuilder::ProductSheet Die::SpringbackCompensationBuilder::ProductSheet@endlink </li> <li>@link Die::SpringbackCompensationBuilder::ProductFacets Die::SpringbackCompensationBuilder::ProductFacets@endlink </li> <li>@link Die::SpringbackCompensationBuilder::SprungFacets Die::SpringbackCompensationBuilder::SprungFacets@endlink </li> </ul> <br> <br> @link Die::SpringbackCompensationBuilder::DefinedByTypePoints Die::SpringbackCompensationBuilder::DefinedByTypePoints@endlink <ul> <li>@link Die::SpringbackCompensationBuilder::ProductSheet Die::SpringbackCompensationBuilder::ProductSheet@endlink </li> <li>@link Die::SpringbackCompensationBuilder::SetProductPoints Die::SpringbackCompensationBuilder::SetProductPoints@endlink </li> <li>@link Die::SpringbackCompensationBuilder::SetSprungPoints Die::SpringbackCompensationBuilder::SetSprungPoints@endlink </li> </ul> <br>
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
definedBy | definedby |
void NXOpen::Die::SpringbackCompensationBuilder::SetDeformationFactor | ( | double | deformationFactor | ) |
Sets the deformation factor determines how much of the calculated deformation is applied to the result body.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
deformationFactor | deformationfactor |
void NXOpen::Die::SpringbackCompensationBuilder::SetDegree | ( | NXOpen::Die::SpringbackCompensationBuilder::DegreeType | degree | ) |
Sets the polynomial degree (one unit less than the order).
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
degree | degree |
void NXOpen::Die::SpringbackCompensationBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
distanceTolerance | distancetolerance |
void NXOpen::Die::SpringbackCompensationBuilder::SetDivisions | ( | int | divisions | ) |
Sets the number of equi-distant points to divide the cube of the sheet body (N x N x N).
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
divisions | divisions |
void NXOpen::Die::SpringbackCompensationBuilder::SetDrawVector | ( | NXOpen::Direction * | drawVector | ) |
Sets the vector indicating the draw direction.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
drawVector | drawvector |
void NXOpen::Die::SpringbackCompensationBuilder::SetGlobalDeformation | ( | bool | isGlobalDeformation | ) |
Sets the indication if the feature is a generic Global Deformation.
True indicates the feature is a Global Deformation, false indicates the feature is not a Global Deformation.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
isGlobalDeformation | isglobaldeformation |
void NXOpen::Die::SpringbackCompensationBuilder::SetProductPoints | ( | const std::vector< NXOpen::Point3d > & | productPoints | ) |
Set the sample points on the product surface.
Must have the same number as sprung points. Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
productPoints | Points representing the shape of the product. |
void NXOpen::Die::SpringbackCompensationBuilder::SetProductPointsFile | ( | const NXString & | filename | ) |
Sets the product points file name.
This is saved for reference only. The product points are actually defined by calling Die::SpringbackCompensationBuilder::SetProductPoints . Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
filename | filename |
void NXOpen::Die::SpringbackCompensationBuilder::SetProductPointsFile | ( | const char * | filename | ) |
Sets the product points file name.
This is saved for reference only. The product points are actually defined by calling Die::SpringbackCompensationBuilder::SetProductPoints . Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
filename | filename |
void NXOpen::Die::SpringbackCompensationBuilder::SetResultType | ( | NXOpen::Die::SpringbackCompensationBuilder::ResultSheetType | resultType | ) |
Sets the type of output to generate.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
resultType | resulttype |
void NXOpen::Die::SpringbackCompensationBuilder::SetShapeValue | ( | double | shapeValue | ) |
Sets the parameter that determines the shape of the transition area.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
shapeValue | shapevalue |
void NXOpen::Die::SpringbackCompensationBuilder::SetSmoothingFactor | ( | double | smoothingFactor | ) |
Sets the smoothing factor regulates a trade-off between interpolation error and smoothing when creating the result body.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
smoothingFactor | smoothingfactor |
void NXOpen::Die::SpringbackCompensationBuilder::SetSprungPoints | ( | const std::vector< NXOpen::Point3d > & | sprungPoints | ) |
Set the sample points on the sprung surface.
Must have the same number as product points. Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints .
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
sprungPoints | Points representing the shape of the sprung sheet. |
void NXOpen::Die::SpringbackCompensationBuilder::SetSprungPointsFile | ( | const NXString & | filename | ) |
Sets the sprung points file name.
This is saved for reference only. The product points are actually defined by calling Die::SpringbackCompensationBuilder::SetSprungPoints . Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
filename | filename |
void NXOpen::Die::SpringbackCompensationBuilder::SetSprungPointsFile | ( | const char * | filename | ) |
Sets the sprung points file name.
This is saved for reference only. The product points are actually defined by calling Die::SpringbackCompensationBuilder::SetSprungPoints . Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
filename | filename |
void NXOpen::Die::SpringbackCompensationBuilder::SetStepSize | ( | double | stepSize | ) |
Sets the step size.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")
stepSize | stepsize |
double NXOpen::Die::SpringbackCompensationBuilder::ShapeValue | ( | ) |
Returns the parameter that determines the shape of the transition area.
Created in NX7.5.0.
License requirements : None
double NXOpen::Die::SpringbackCompensationBuilder::SmoothingFactor | ( | ) |
Returns the smoothing factor regulates a trade-off between interpolation error and smoothing when creating the result body.
Created in NX7.5.0.
License requirements : None
NXOpen::Facet::SelectFacetedBody* NXOpen::Die::SpringbackCompensationBuilder::SprungFacets | ( | ) |
Returns the sprung facets.
Only when type is Die::SpringbackCompensationBuilder::DefinedByTypeFacetedBodies .
Created in NX7.5.0.
License requirements : None
NXString NXOpen::Die::SpringbackCompensationBuilder::SprungPointsFile | ( | ) |
Returns the sprung points file name.
This is saved for reference only. The product points are actually defined by calling Die::SpringbackCompensationBuilder::SetSprungPoints . Only when type is Die::SpringbackCompensationBuilder::DefinedByTypePoints . Optional.
Created in NX7.5.0.
License requirements : None
double NXOpen::Die::SpringbackCompensationBuilder::StepSize | ( | ) |
Returns the step size.
Created in NX7.5.0.
License requirements : None